Retrieves the unavailability with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_unavailability| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| date_start |
Date+Time of the beginning |
date |
Required |
| date_end |
Date+Time of the end |
date |
Required |
| modified_dateutc |
Date+Time of the modified |
date |
Required |
| description |
Description of the unavailability |
string |
Max length: 255 |
| is_approved |
Indicate if this object has been approved using a User Week Approval |
boolean | |
| user_id |
User owner of this unavailability |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_unavailability |
user |
Optionally required : user_id, user_code or user must be provided |
| user_unavailability_type_id |
Type of the unavailability, cf model user_unavailability_type |
globally unique identifier |
Required Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type_code |
Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type |
Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability |
user_unavailability_type |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
Response Formats
application/json, text/json
{
"id": "8ed1065e-701c-4bc6-a689-3f5da78c671c",
"date_start": "2026-10-20T19:44:09.4309926+00:00",
"date_end": "2026-10-20T19:44:09.4309926+00:00",
"modified_dateutc": "2026-10-20T19:44:09.4309926+00:00",
"description": "sample string 5",
"is_approved": true,
"user_id": "38b73ce2-59df-4aeb-a3b6-e7819986c9b8",
"user_code": "sample string 8",
"user": {
"id": "33d9c904-d6a5-4f7a-8c6d-3b52349e4809",
"db_language_id": "bd55283f-78bf-4dfa-bf8d-0e8c62db7ab9",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-10-20T19:44:09.4309926+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "d2735d8a-47a0-4ebc-99d9-dd1d3fdb9f5b",
"sales_organization": {
"id": "3703eec3-1b3d-4b28-82bd-0c625296772c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9ec2746e-dd60-45a6-b75f-d41221879e99",
"db_currency_id": "67d2aab9-7d78-4bce-9763-c4cf3dd2d04a",
"db_language_id": "28ecfeb1-8fdf-4dec-bd7b-acb9ec7de42f",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-20T19:44:09.4309926+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "12ba85eb-4fbc-4d13-9d70-57ed81bf76fd",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "84b3ed03-b578-444b-bed7-51e285184ad1",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-10-20T19:44:09.4309926+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "7363567d-3c5a-4bfc-aa78-3cc65083cf73"
},
"user_unavailability_type_id": "a356af34-6c19-43f9-958a-f0eead7114fe",
"user_unavailability_type_code": "sample string 10",
"user_unavailability_type": {
"id": "1363100f-d6ce-4d3e-b864-f70848960497",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "1ad4baa1-0137-40c5-8358-7cd91e6c3037",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "3703eec3-1b3d-4b28-82bd-0c625296772c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9ec2746e-dd60-45a6-b75f-d41221879e99",
"db_currency_id": "67d2aab9-7d78-4bce-9763-c4cf3dd2d04a",
"db_language_id": "28ecfeb1-8fdf-4dec-bd7b-acb9ec7de42f",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-20T19:44:09.4309926+00:00"
},
"modified_dateutc": "2026-10-20T19:44:09.441316+00:00"
}
}